[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.Create

Create - constructor for TApplication: initialises a large number of local variables and properties, then calls inherited Create

## Declaration

Source position: forms.pp line 1293

`public constructor TApplication.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | The Owner object that invoked this instance of TApplication

## Description

This instance of the constructor performs most of the setting up of the environment for the application. The instances of Create that occur in some of the ancestor classes are place holders rather than actual instructions for constructing the object

## See also

TCustomApplication.Create

The latest version of this document can be found at lazarus-ccr.sourceforge.net .